local _, core = ...;
core.DBmounts = {};
core.Loadmounts = {};

local function loadMounts()
core.DBmounts = {
	[1] = {
		id = 1,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1057)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1057)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_good",
		Model = { id = 74316,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page1-1",
						title = core.L["Corrupteur"],
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page1-2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161344,
									itemInfo = {GetItemInfo(161344)},
									itemIcon = "interface/icons/inv_enchant_voidcrystal",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Corrupteur"],
											pourcentageDrop = 1.3,
										},
										[2] = {
											nameNPC = core.L["Sectateur"],
											pourcentageDrop = 0.9,
										},
									},
									path = "1111",
									done = DoneMountTask1[1]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page2-1",
						title = "",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page2-2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP2S1"],
						task = { 
							[1] = { id = 1,
								["need"] = {
									itemId = 161345,
									itemInfo = {GetItemInfo(161345)},
									itemIcon = "interface/icons/inv_elemental_primal_shadow",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 161344,
											nbNeed = 20,
										},
									},
									path = "1211",
									done = DoneMountTask1[1]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page3-1",
						title = "",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page3-2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161479,
									itemInfo = {GetItemInfo(161479)},
									itemIcon = "interface/icons/inv_serpentmount_red",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Adhérent"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(1057);
								},
							},
						},
					},
				},
			},
		},
	},
	[2] = {
		id = 2,
		faction = "Horde",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1043)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1043)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_good",
		Model = { id = 89375,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page1-1",
						title = "",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page1-2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpKuafonP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 157782,
									itemInfo = {GetItemInfo(157782)},
									itemIcon = "interface/icons/inv_egg_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Pterreur"],
											pourcentageDrop = 0.04,
										},
									},
									path = "2111",
									done = DoneMountTask1[2]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50393), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50393)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50394), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50394)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50402), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50402)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52305), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52305)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50395),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50395)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50401),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50401)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50412),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50412)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52447),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52447)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page3",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50396),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50395)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50886),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50886)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50887),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50887)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50900),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50900)},
							},
							[5] = { id = 5,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52748),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52748)},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page4",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50397),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50397)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50940),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50940)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50942),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50942)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50943),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50943)},
							},
							[5] = { id = 5,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50944),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50944)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(56205),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(56205)},
							},
						},
					},
				},
			},
		},
	},
	[3] = {
		id = 3,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1258)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1258)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/fabious_good",
		Model = { id = 88771,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/fabious_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/fabious_page1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpFabiousP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 122674,
									itemInfo = {GetItemInfo(122674)},
									itemIcon = "interface/icons/inv_misc_ selfiecamera_01",
									nbNeed = 1,
									["create"] = {
									[1] = {
											compoId = 122661,
											nbNeed = 1,
										},
									},
									path = "3111",
									done = DoneMountTask1[3]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpFabiousP1S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169201,
									itemInfo = {GetItemInfo(169201)},
									itemIcon = "interface/icons/inv_hippocampusmount_white",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Fabious"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(1258),
								},
							},
						},
					},
				},
			},
		},
	},
	[4] = {
		id = 4,
		faction = "Horde",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1260)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1260)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_good",
		Model = { id = 88770,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55530),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55530)},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpEtalonP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55529),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55529)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-1",
						title = "",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-2",
						title = core.L["HelpEtalonP2Img2"],
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP2S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 170100,
									itemInfo = {GetItemInfo(170100)},
									itemIcon = "interface/icons/inv_misc_food_111_icefinfillet",
									nbNeed = 1,
									["vendor"] = {core.L["Murloco"]},
									path = "4211",
									done = DoneMountTask1[4]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-1",
						title = core.L["Hrrlgrl"],
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-2",
						title = core.L["Flrgrrl"],
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-3",
						title = core.L["Mrrglrlr"],
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-4",
						title = core.L["Grrmrlg"],
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEtalonP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167915,
									itemInfo = {GetItemInfo(167915)},
									itemIcon = "interface/icons/inv_misc_food_vendor_mogupumpkin",
									nbNeed = 128,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "4311",
									done = DoneMountTask1[4]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167911,
									itemInfo = {GetItemInfo(167911)},
									itemIcon = "interface/icons/inv_misc_food_legion_muskenbutter",
									nbNeed = 32,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "4312",
									done = DoneMountTask1[4]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167904,
									itemInfo = {GetItemInfo(167904)},
									itemIcon = "interface/icons/inv_misc_food_legion_goocaramel_chunk",
									nbNeed = 16,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "4313",
									done = DoneMountTask1[4]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 504,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "4321",
									done = DoneMountTask1[4]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 168,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "4322",
									done = DoneMountTask1[4]["page"][3]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167909,
									itemInfo = {GetItemInfo(167909)},
									itemIcon = "interface/icons/inv_misc_food_ghoststeak",
									nbNeed = 28,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "4323",
									done = DoneMountTask1[4]["page"][3]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEtalonP3S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169783,
									itemInfo = {GetItemInfo(169783)},
									itemIcon = "interface/icons/inv_misc_coin_12",
									nbNeed = 4,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "4331",
									done = DoneMountTask1[4]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH4-1",
						title = core.L["Mrrl"],
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-1",
						title = core.L["Hrrlgrl"],
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-2",
						title = core.L["Flrgrrl"],
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-3",
						title = core.L["Mrrglrlr"],
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-4",
						title = core.L["Grrmrlg"],
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP4S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167912,
									itemInfo = {GetItemInfo(167912)},
									itemIcon = "interface/icons/inv_misc_food_meat_mincedmeat",
									nbNeed = 288,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "4411",
									done = DoneMountTask1[4]["page"][4]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167916,
									itemInfo = {GetItemInfo(167916)},
									itemIcon = "interface/icons/inv_misc_leatherscrap_10",
									nbNeed = 48,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "4412",
									done = DoneMountTask1[4]["page"][4]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167908,
									itemInfo = {GetItemInfo(167908)},
									itemIcon = "interface/icons/inv_first_aid_70_ jar",
									nbNeed = 16,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "4413",
									done = DoneMountTask1[4]["page"][4]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 210,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "4421",
									done = DoneMountTask1[4]["page"][4]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 70,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "4422",
									done = DoneMountTask1[4]["page"][4]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167913,
									itemInfo = {GetItemInfo(167913)},
									itemIcon = "interface/icons/inv_misc_food_154_fish_77",
									nbNeed = 14,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "4423",
									done = DoneMountTask1[4]["page"][4]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169780,
									itemInfo = {GetItemInfo(169780)},
									itemIcon = "interface/icons/inv_alchemy_80_alchemiststone02",
									nbNeed = 2,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "4431",
									done = DoneMountTask1[4]["page"][4]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEtalonP4S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169202,
									itemInfo = {GetItemInfo(169202)},
									itemIcon = "interface/icons/inv_hippocampusmount_red",
									nbNeed = 1,
									["vendor"] = {core.L["Mrrl"]},
									done = core.libs.getCompletedMount(1260),
								},
							},
						},
					},
				},
			},
		},
	},
	[5] = {
		id = 5,
		faction = "Alliance",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1260)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1260)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_good",
		Model = { id = 88770,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55983),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55983)},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpEtalonP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55529),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55529)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-1",
						title = "",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-2",
						title = core.L["HelpEtalonP2Img2"],
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP2S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 170100,
									itemInfo = {GetItemInfo(170100)},
									itemIcon = "interface/icons/inv_misc_food_111_icefinfillet",
									nbNeed = 1,
									["vendor"] = {core.L["Murloco"]},
									path = "5211",
									done = DoneMountTask1[5]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-1",
						title = core.L["Hrrlgrl"],
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-2",
						title = core.L["Flrgrrl"],
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-3",
						title = core.L["Mrrglrlr"],
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-4",
						title = core.L["Grrmrlg"],
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEtalonP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167915,
									itemInfo = {GetItemInfo(167915)},
									itemIcon = "interface/icons/inv_misc_food_vendor_mogupumpkin",
									nbNeed = 128,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5311",
									done = DoneMountTask1[5]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167911,
									itemInfo = {GetItemInfo(167911)},
									itemIcon = "interface/icons/inv_misc_food_legion_muskenbutter",
									nbNeed = 32,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5312",
									done = DoneMountTask1[5]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167904,
									itemInfo = {GetItemInfo(167904)},
									itemIcon = "interface/icons/inv_misc_food_legion_goocaramel_chunk",
									nbNeed = 16,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5313",
									done = DoneMountTask1[5]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 504,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5321",
									done = DoneMountTask1[5]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 168,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5322",
									done = DoneMountTask1[5]["page"][3]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167909,
									itemInfo = {GetItemInfo(167909)},
									itemIcon = "interface/icons/inv_misc_food_ghoststeak",
									nbNeed = 28,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5323",
									done = DoneMountTask1[5]["page"][3]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEtalonP3S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169783,
									itemInfo = {GetItemInfo(169783)},
									itemIcon = "interface/icons/inv_misc_coin_12",
									nbNeed = 4,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5331",
									done = DoneMountTask1[5]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA4-1",
						title = core.L["Mrrl"],
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-1",
						title = core.L["Hrrlgrl"],
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-2",
						title = core.L["Flrgrrl"],
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-3",
						title = core.L["Mrrglrlr"],
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-4",
						title = core.L["Grrmrlg"],
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP4S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167912,
									itemInfo = {GetItemInfo(167912)},
									itemIcon = "interface/icons/inv_misc_food_meat_mincedmeat",
									nbNeed = 288,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5411",
									done = DoneMountTask1[5]["page"][4]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167916,
									itemInfo = {GetItemInfo(167916)},
									itemIcon = "interface/icons/inv_misc_leatherscrap_10",
									nbNeed = 48,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5412",
									done = DoneMountTask1[5]["page"][4]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167908,
									itemInfo = {GetItemInfo(167908)},
									itemIcon = "interface/icons/inv_first_aid_70_ jar",
									nbNeed = 16,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5413",
									done = DoneMountTask1[5]["page"][4]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 210,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5421",
									done = DoneMountTask1[5]["page"][4]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 70,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5422",
									done = DoneMountTask1[5]["page"][4]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167913,
									itemInfo = {GetItemInfo(167913)},
									itemIcon = "interface/icons/inv_misc_food_154_fish_77",
									nbNeed = 14,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5423",
									done = DoneMountTask1[5]["page"][4]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169780,
									itemInfo = {GetItemInfo(169780)},
									itemIcon = "interface/icons/inv_alchemy_80_alchemiststone02",
									nbNeed = 2,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5431",
									done = DoneMountTask1[5]["page"][4]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEtalonP4S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169202,
									itemInfo = {GetItemInfo(169202)},
									itemIcon = "interface/icons/inv_hippocampusmount_red",
									nbNeed = 1,
									["vendor"] = {core.L["Mrrl"]},
									done = core.libs.getCompletedMount(1260),
								},
							},
						},
					},
				},
			},
		},
	},
	[6] = {
		id = 6,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1028)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1028)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_good",
		Model = { id = 80864,
				camDist = 0.75,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpMecaP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152513,
									itemInfo = {GetItemInfo(152513)},
									itemIcon = "interface/icons/inv_ore_platinum",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GisePlat"],
											pourcentageDrop = 0,
										},
									},
									path = "6111",
									done = DoneMountTask1[6]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152579,
									itemInfo = {GetItemInfo(152579)},
									itemIcon = "interface/icons/inv_ore_stormsilver",
									nbNeed = 50,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GiseFoudre"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["VeineFoudre"],
											pourcentageDrop = 0,
										},
									},
									path = "6112",
									done = DoneMountTask1[6]["page"][1]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 163569,
									itemInfo = {GetItemInfo(163569)},
									itemIcon = "interface/icons/inv_jewelcrafting_delicatecopperwire",
									nbNeed = 20,
									["vendor"] = {core.L["Pristie"]},
									path = "6113",
									done = DoneMountTask1[6]["page"][1]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 152668,
									itemInfo = {GetItemInfo(152668)},
									itemIcon = "interface/icons/inv_expulsom",
									nbNeed = 25,
									["loot"] = {
										[1] = {
											nameNPC = core.L["FerrailleurA"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["FerrailleurH"],
											pourcentageDrop = 0,
										},
									},
									path = "6114",
									done = DoneMountTask1[6]["page"][1]["step"][1]["task"][4]["done"],
								},
							},
							[5] = { id = 5,
								["need"] = {
									itemId = 162460,
									itemInfo = {GetItemInfo(162460)},
									itemIcon = "interface/icons/inv_tradeskillitem_lessersorcererswater",
									nbNeed = 3,
									["create"] = {
										[1] = {
											compoId = 165948,
											nbNeed = 1,
										},
										[2] = {
											compoId = 160502,
											nbNeed = 5,
										},
									},
									path = "6115",
									done = DoneMountTask1[6]["page"][1]["step"][1]["task"][5]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpMecaP1S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 160488,
									itemInfo = {GetItemInfo(160488)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "6121",
									done = DoneMountTask1[6]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 160489,
									itemInfo = {GetItemInfo(160489)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "6121",
									done = DoneMountTask1[6]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 160490,
									itemInfo = {GetItemInfo(160490)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "6121",
									done = DoneMountTask1[6]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 160491,
									itemInfo = {GetItemInfo(160491)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "6121",
									done = DoneMountTask1[6]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161135,
									itemInfo = {GetItemInfo(161135)},
									itemIcon = "interface/icons/inv_scroll_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["NababM+"],
											pourcentageDrop = 0,
										},
									},
									path = "6211",
									done = DoneMountTask1[6]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152513,
									itemInfo = {GetItemInfo(152513)},
									itemIcon = "interface/icons/inv_ore_platinum",
									nbNeed = 50,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GisePlat"],
											pourcentageDrop = 0,
										},
									},
									path = "6311",
									done = DoneMountTask1[6]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152579,
									itemInfo = {GetItemInfo(152579)},
									itemIcon = "interface/icons/inv_ore_stormsilver",
									nbNeed = 100,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GiseFoudre"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["VeineFoudre"],
											pourcentageDrop = 0,
										},
									},
									path = "6312",
									done = DoneMountTask1[6]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 152668,
									itemInfo = {GetItemInfo(152668)},
									itemIcon = "interface/icons/inv_expulsom",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["FerrailleurA"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["FerrailleurH"],
											pourcentageDrop = 0,
										},
									},
									path = "6313",
									done = DoneMountTask1[6]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161131,
									itemInfo = {GetItemInfo(161131)},
									itemIcon = "interface/icons/inv_gizmo_khoriumpowercore",
									nbNeed = 1,
									["vendor"] = {core.L["DrSvB"]},
									path = "6321",
									done = DoneMountTask1[6]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpMecaP3S3"] ,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161136,
									itemInfo = {GetItemInfo(161136)},
									itemIcon = "interface/icons/inv_gizmo_mithrilcasing_02",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 32,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 16,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 15,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 13,
										},
									},
									path = "6331",
									done = DoneMountTask1[6]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 161137,
									itemInfo = {GetItemInfo(161137)},
									itemIcon = "interface/icons/inv_misc_enggizmos_30",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 10,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 4,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 3,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 3,
										},
									},
									path = "6332",
									done = DoneMountTask1[6]["page"][3]["step"][3]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 161132,
									itemInfo = {GetItemInfo(161132)},
									itemIcon = "interface/icons/inv_rod_platinum",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 17,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 12,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 9,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 10,
										},
									},
									path = "6333",
									done = DoneMountTask1[6]["page"][3]["step"][3]["task"][3]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						helpI = core.L["HelpMecaP3S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161138,
									itemInfo = {GetItemInfo(161138)},
									itemIcon = "interface/icons/inv_holiday_tow_spicepotion03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["CerveauK"],
											pourcentageDrop = 32,
										},
									},
									path = "6341",
									done = DoneMountTask1[6]["page"][3]["step"][4]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 161129,
									itemInfo = {GetItemInfo(161129)},
									itemIcon = "interface/icons/inv_gizmo_goblingtonkcontroller",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Nabab"],
											pourcentageDrop = 0,
										},
									},
									path = "6342",
									done = DoneMountTask1[6]["page"][3]["step"][4]["task"][2]["done"],
								},
							},
						},
					},
					[5] = { id = 5,
						help = core.L["HelpMecaP3S5"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161134,
									itemInfo = {GetItemInfo(161134)},
									itemIcon = "interface/icons/achievement_dungeon_mogulrazdunk",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 50,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 100,
										},
										[3] = {
											compoId = 152668,
											nbNeed = 20,
										},
										[4] = {
											compoId = 161136,
											nbNeed = 20,
										},
										[5] = {
											compoId = 161137,
											nbNeed = 20,
										},
										[6] = {
											compoId = 161132,
											nbNeed = 20,
										},
										[7] = {
											compoId = 161131,
											nbNeed = 1,
										},
										[8] = {
											compoId = 161129,
											nbNeed = 1,
										},
									},
									done = core.libs.getCompletedMount(1028);
								},
							},
						},
					},
				},
			},
		},
	},
	[7] = {
		id = 7,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(947)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(947)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_esprit_good",
		Model = { id = 74314,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Legion",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_esprit_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_1",
						title = core.L["Page"].."9",
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_2",
						title = core.L["Page"].."78",
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_3",
						title = core.L["Page"].."161",
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_4",
						title = core.L["Page"].."655",
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_5",
						title = core.L["Page"].."845",
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_6",
						title = core.L["Page"].."1127",
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_7",
						title = core.L["Page"].."2351",
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_8",
						title = core.L["Page"].."5555",
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1_9",
						title = core.L["CoffreEsprit"],
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEspritP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."9",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(45470)},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpEspritP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."78",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47207)},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEspritP1S3"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."161",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47208)},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEspritP1S4"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."655",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47209)},
							},
						},
					},
					[5] = { id = 5,
						help = core.L["HelpEspritP1S5"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."845",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47210)},
							},
						},
					},
					[6] = { id = 6,
						help = core.L["HelpEspritP1S6"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."1127",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47211)},
							},
						},
					},
					[7] = { id = 7,
						help = core.L["HelpEspritP1S7"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."2351",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47212)},
							},
						},
					},
					[8] = { id = 8,
						help = core.L["HelpEspritP1S8"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."5555",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47213)},
							},
						},
					},
					[9] = { id = 9,
						help = core.L["HelpEspritP1S9"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 147835,
									itemInfo = {GetItemInfo(147835)},
									itemIcon = "interface/icons/inv_serpentmount_darkblue",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["CoffreEsprit"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(947);
								},
							},
						},
					},
				},
			},
		},
	},
}
end
core.Loadmounts = loadMounts;